Skip to main content
GET
/
clips
/
{videoId}
/
submissions
/
{submissionId}
/
clips
List generated clips
curl --request GET \
  --url https://api.cut.pro/api/v1/clips/{videoId}/submissions/{submissionId}/clips \
  --header 'X-Api-Key: <api-key>'
{
  "clips": [
    {
      "id": "<string>",
      "title": "<string>",
      "description": "<string>",
      "rating": 123,
      "keywords": [
        "<string>"
      ],
      "start_time": 123,
      "end_time": 123,
      "language": "<string>",
      "created_at": "<string>",
      "thumbnail_url": "<string>",
      "download_url": "<string>",
      "play_url": "<string>"
    }
  ],
  "pagination": {
    "current_page": 123,
    "total_pages": 123,
    "total_count": 123,
    "has_next_page": true,
    "has_previous_page": true,
    "limit": 123
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

videoId
string
required
submissionId
string
required

Query Parameters

page
number

Page number (default: 1)

Required range: x >= 1
limit
number

Items per page (default: 20, max: 100)

Required range: 1 <= x <= 100
sort
enum<string>
Available options:
rating,
duration,
title,
start_time
order
enum<string>
Available options:
asc,
desc
min_rating
number

Only return clips with rating ≥ this value (0–10)

Required range: 0 <= x <= 10
max_rating
number

Only return clips with rating ≤ this value (0–10)

Required range: 0 <= x <= 10

Response

Response for status 200

clips
object[]
required
pagination
object
required
Last modified on April 16, 2026